Get Revision Attribution Full V2

gethttps://app.fossa.com/api/v2/revisions/{locator}/attribution/full/{format}

Generate and stream a revision's attribution report in the given format with **all** report options enabled (V2). Intended for the `fossa report attribution` CLI flow.

Path parameters

locatorstringrequired

The URL-encoded locator of the revision

formatenumrequired

The format of the report

HTMLMDPDFCSVTXTSPDXSPDX_JSONCYCLONEDX_JSONCYCLONEDX_XML

Responses

200The generated full report, streamed as a file. The response sets `Content-Disposition: inline` and a `Content-Type` matching the path `format`.
string <binary>
400Bad Request
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

401Unauthorized
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

404NotFound
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

500Server Error
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

Try this endpoint

Build a request and run it against app.fossa.com.

Bearer

Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.

GET https://app.fossa.com/api/v2/revisions/%7Blocator%7D/attribution/full/HTML
curl --request GET \  --url 'https://app.fossa.com/api/v2/revisions/%7Blocator%7D/attribution/full/HTML' \  --header 'accept: application/json' \  --header 'authorization: Bearer YOUR_API_TOKEN'

Real request. Mutating methods can change data.

Click Try It to run a request and see the response here.
Enter a Bearer token before running this request.

Path params

locatorstringrequired

The URL-encoded locator of the revision

formatenumrequired

The format of the report